## Usage awk -f <this file> <ordered selected ids> <org names> > <ordered selected names preceded by id>
## Given a list of ordered ids extract the corresponding lines from a file
## Each line of the output contains new id, old id, name
## Commented scripts do similar things but first with several ids per line and second with unordered ids
BEGIN {
  FS="\t"
}
{
    if (ARGIND == 1) ids[$0+1] = i++ ;
    else if (ARGIND == 2) {
	if (FNR in ids) {
	    print  ids[FNR] "\t" FNR-1 "\t" $0
	}

    }
}
######################################
# {
#     if (ARGIND == 1) ids[$0+1] = i++ ;
#     else if (ARGIND == 2) {
# 	for(i=1;i<NF;i++)
# 	{
# 		if ($i in ids) {
# 	    		print  ids[$i] "\t" FNR-1 "\t" $0
# 		}
# 	}
#     }
# }
######################################
# {
#     if (ARGIND == 1) ids[FNR-1] = $0 ;
#     else if (ARGIND == 2) {
# 	if ($0 in ids) {
# 	        print  FNR-1 "\t" $0 "\t" ids[$0]
# 	}
#     }
# }

##
##    Feb, 2011. EG. ReReMi 1.0
##
